<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_202) on Sat Apr 27 15:39:28 CEST 2019 -->
<title>FBLocalTransaction (Jaybird API)</title>
<meta name="date" content="2019-04-27">
<link rel="stylesheet" type="text/css" href="../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="FBLocalTransaction (Jaybird API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-all.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../org/firebirdsql/jca/FBIncorrectXidException.html" title="class in org.firebirdsql.jca"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../org/firebirdsql/jca/FBLocalTransaction.FBLocalXid.html" title="class in org.firebirdsql.jca"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../index.html?org/firebirdsql/jca/FBLocalTransaction.html" target="_top">Frames</a></li>
<li><a href="FBLocalTransaction.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li><a href="#nested.class.summary">Nested</a>&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.firebirdsql.jca</div>
<h2 title="Class FBLocalTransaction" class="title">Class FBLocalTransaction</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">java.lang.Object</a></li>
<li>
<ul class="inheritance">
<li>org.firebirdsql.jca.FBLocalTransaction</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd>javax.resource.cci.LocalTransaction, <a href="../../../org/firebirdsql/jca/FirebirdLocalTransaction.html" title="interface in org.firebirdsql.jca">FirebirdLocalTransaction</a></dd>
</dl>
<hr>
<br>
<pre>public class <span class="typeNameLabel">FBLocalTransaction</span>
extends <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>
implements <a href="../../../org/firebirdsql/jca/FirebirdLocalTransaction.html" title="interface in org.firebirdsql.jca">FirebirdLocalTransaction</a>, javax.resource.cci.LocalTransaction</pre>
<div class="block">The class <code>FBLocalTransaction</code> implements LocalTransaction both
 in the cci and spi meanings. A flag is used to distinguish the current
 functionality. This class works by delegating the operations to the internal
 implementations of the XAResource functionality in FBManagedConnection.</div>
<dl>
<dt><span class="simpleTagLabel">Version:</span></dt>
<dd>1.0</dd>
<dt><span class="simpleTagLabel">Author:</span></dt>
<dd><a href="mailto:d_jencks@users.sourceforge.net">David Jencks</a></dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== NESTED CLASS SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="nested.class.summary">
<!--   -->
</a>
<h3>Nested Class Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Nested Class Summary table, listing nested classes, and an explanation">
<caption><span>Nested Classes</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Class and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static class&nbsp;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/jca/FBLocalTransaction.FBLocalXid.html" title="class in org.firebirdsql.jca">FBLocalTransaction.FBLocalXid</a></span></code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Field Summary table, listing fields, and an explanation">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected javax.resource.spi.ConnectionEvent</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/jca/FBLocalTransaction.html#beginEvent">beginEvent</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>protected javax.resource.spi.ConnectionEvent</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/jca/FBLocalTransaction.html#commitEvent">commitEvent</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected <a href="../../../org/firebirdsql/jca/FBManagedConnection.html" title="class in org.firebirdsql.jca">FBManagedConnection</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/jca/FBLocalTransaction.html#mc">mc</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>protected javax.resource.spi.ConnectionEvent</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/jca/FBLocalTransaction.html#rollbackEvent">rollbackEvent</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected <a href="https://docs.oracle.com/javase/8/docs/api/javax/transaction/xa/Xid.html?is-external=true" title="class or interface in javax.transaction.xa">Xid</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/jca/FBLocalTransaction.html#xid">xid</a></span></code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/jca/FBLocalTransaction.html#FBLocalTransaction-org.firebirdsql.jca.FBManagedConnection-org.firebirdsql.jdbc.FBConnection-">FBLocalTransaction</a></span>(<a href="../../../org/firebirdsql/jca/FBManagedConnection.html" title="class in org.firebirdsql.jca">FBManagedConnection</a>&nbsp;mc,
                  <a href="../../../org/firebirdsql/jdbc/FBConnection.html" title="class in org.firebirdsql.jdbc">FBConnection</a>&nbsp;c)</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/jca/FBLocalTransaction.html#begin--">begin</a></span>()</code>
<div class="block">Begin a local transaction.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/jca/FBLocalTransaction.html#commit--">commit</a></span>()</code>
<div class="block">Commit a local transaction.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/javax/transaction/xa/Xid.html?is-external=true" title="class or interface in javax.transaction.xa">Xid</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/jca/FBLocalTransaction.html#getXid--">getXid</a></span>()</code>
<div class="block">Get the associated Xid.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/jca/FBLocalTransaction.html#internalBegin--">internalBegin</a></span>()</code>
<div class="block">Perform the internal operations to begin a local transaction.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/jca/FBLocalTransaction.html#internalCommit--">internalCommit</a></span>()</code>
<div class="block">Perform the internal processing to commit a local transaction.</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/jca/FBLocalTransaction.html#internalRollback--">internalRollback</a></span>()</code>
<div class="block">Perform the internal processing to rollback a local transaction.</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/jca/FBLocalTransaction.html#inTransaction--">inTransaction</a></span>()</code>
<div class="block">Check whether a started transaction is associated with the current
 database connection.</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/jca/FBLocalTransaction.html#rollback--">rollback</a></span>()</code>
<div class="block">Rollback a local transaction.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></h3>
<code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#clone--" title="class or interface in java.lang">clone</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#equals-java.lang.Object-" title="class or interface in java.lang">equals</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#finalize--" title="class or interface in java.lang">finalize</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#getClass--" title="class or interface in java.lang">getClass</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#hashCode--" title="class or interface in java.lang">hashCode</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notify--" title="class or interface in java.lang">notify</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notifyAll--" title="class or interface in java.lang">notifyAll</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#toString--" title="class or interface in java.lang">toString</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait--" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-int-" title="class or interface in java.lang">wait</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a name="mc">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>mc</h4>
<pre>protected final&nbsp;<a href="../../../org/firebirdsql/jca/FBManagedConnection.html" title="class in org.firebirdsql.jca">FBManagedConnection</a> mc</pre>
</li>
</ul>
<a name="xid">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>xid</h4>
<pre>protected&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/javax/transaction/xa/Xid.html?is-external=true" title="class or interface in javax.transaction.xa">Xid</a> xid</pre>
</li>
</ul>
<a name="beginEvent">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>beginEvent</h4>
<pre>protected final&nbsp;javax.resource.spi.ConnectionEvent beginEvent</pre>
</li>
</ul>
<a name="commitEvent">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>commitEvent</h4>
<pre>protected final&nbsp;javax.resource.spi.ConnectionEvent commitEvent</pre>
</li>
</ul>
<a name="rollbackEvent">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>rollbackEvent</h4>
<pre>protected final&nbsp;javax.resource.spi.ConnectionEvent rollbackEvent</pre>
</li>
</ul>
</li>
</ul>
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="FBLocalTransaction-org.firebirdsql.jca.FBManagedConnection-org.firebirdsql.jdbc.FBConnection-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>FBLocalTransaction</h4>
<pre>public&nbsp;FBLocalTransaction(<a href="../../../org/firebirdsql/jca/FBManagedConnection.html" title="class in org.firebirdsql.jca">FBManagedConnection</a>&nbsp;mc,
                          <a href="../../../org/firebirdsql/jdbc/FBConnection.html" title="class in org.firebirdsql.jdbc">FBConnection</a>&nbsp;c)</pre>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getXid--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getXid</h4>
<pre>public&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/javax/transaction/xa/Xid.html?is-external=true" title="class or interface in javax.transaction.xa">Xid</a>&nbsp;getXid()</pre>
<div class="block">Get the associated Xid.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../org/firebirdsql/jca/FirebirdLocalTransaction.html#getXid--">getXid</a></code>&nbsp;in interface&nbsp;<code><a href="../../../org/firebirdsql/jca/FirebirdLocalTransaction.html" title="interface in org.firebirdsql.jca">FirebirdLocalTransaction</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>instance of <a href="https://docs.oracle.com/javase/8/docs/api/javax/transaction/xa/Xid.html?is-external=true" title="class or interface in javax.transaction.xa"><code>Xid</code></a> representing a transaction ID that is managed by this local transaction.</dd>
</dl>
</li>
</ul>
<a name="inTransaction--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>inTransaction</h4>
<pre>public&nbsp;boolean&nbsp;inTransaction()
                      throws javax.resource.ResourceException</pre>
<div class="block">Check whether a started transaction is associated with the current
 database connection.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../org/firebirdsql/jca/FirebirdLocalTransaction.html#inTransaction--">inTransaction</a></code>&nbsp;in interface&nbsp;<code><a href="../../../org/firebirdsql/jca/FirebirdLocalTransaction.html" title="interface in org.firebirdsql.jca">FirebirdLocalTransaction</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd><code>true</code> if managed connection is participating in
 transaction.</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code>javax.resource.ResourceException</code> - if operation cannot be completed.</dd>
</dl>
</li>
</ul>
<a name="begin--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>begin</h4>
<pre>public&nbsp;void&nbsp;begin()
           throws javax.resource.ResourceException</pre>
<div class="block">Begin a local transaction.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code>begin</code>&nbsp;in interface&nbsp;<code>javax.resource.cci.LocalTransaction</code></dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code>javax.resource.ResourceException</code> - generic exception if operation fails</dd>
<dd><code>javax.resource.spi.LocalTransactionException</code> - error condition related to local transaction management</dd>
<dd><code>javax.resource.spi.ResourceAdapterInternalException</code> - error condition internal to resource adapter</dd>
<dd><code>javax.resource.spi.EISSystemException</code> - EIS instance specific error condition</dd>
</dl>
</li>
</ul>
<a name="internalBegin--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>internalBegin</h4>
<pre>public&nbsp;void&nbsp;internalBegin()
                   throws javax.resource.ResourceException</pre>
<div class="block">Perform the internal operations to begin a local transaction.</div>
<dl>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code>javax.resource.ResourceException</code> - generic exception if operation fails</dd>
<dd><code>javax.resource.spi.LocalTransactionException</code> - error condition related to local transaction management</dd>
<dd><code>javax.resource.spi.ResourceAdapterInternalException</code> - error condition internal to resource adapter</dd>
<dd><code>javax.resource.spi.EISSystemException</code> - EIS instance specific error condition</dd>
</dl>
</li>
</ul>
<a name="commit--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>commit</h4>
<pre>public&nbsp;void&nbsp;commit()
            throws javax.resource.ResourceException</pre>
<div class="block">Commit a local transaction.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code>commit</code>&nbsp;in interface&nbsp;<code>javax.resource.cci.LocalTransaction</code></dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code>javax.resource.ResourceException</code> - generic exception if operation fails</dd>
<dd><code>javax.resource.spi.LocalTransactionException</code> - error condition related to local transaction management</dd>
<dd><code>javax.resource.spi.ResourceAdapterInternalException</code> - error condition internal to resource adapter</dd>
<dd><code>javax.resource.spi.EISSystemException</code> - EIS instance specific error condition</dd>
</dl>
</li>
</ul>
<a name="internalCommit--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>internalCommit</h4>
<pre>public&nbsp;void&nbsp;internalCommit()
                    throws javax.resource.ResourceException</pre>
<div class="block">Perform the internal processing to commit a local transaction.</div>
<dl>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code>javax.resource.ResourceException</code> - generic exception if operation fails</dd>
<dd><code>javax.resource.spi.LocalTransactionException</code> - error condition related to local transaction management</dd>
<dd><code>javax.resource.spi.ResourceAdapterInternalException</code> - error condition internal to resource adapter</dd>
<dd><code>javax.resource.spi.EISSystemException</code> - EIS instance specific error condition</dd>
</dl>
</li>
</ul>
<a name="rollback--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>rollback</h4>
<pre>public&nbsp;void&nbsp;rollback()
              throws javax.resource.ResourceException</pre>
<div class="block">Rollback a local transaction.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code>rollback</code>&nbsp;in interface&nbsp;<code>javax.resource.cci.LocalTransaction</code></dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code>javax.resource.ResourceException</code> - generic exception if operation fails</dd>
<dd><code>javax.resource.spi.LocalTransactionException</code> - error condition related to local transaction management</dd>
<dd><code>javax.resource.spi.ResourceAdapterInternalException</code> - error condition internal to resource adapter</dd>
<dd><code>javax.resource.spi.EISSystemException</code> - EIS instance specific error condition</dd>
</dl>
</li>
</ul>
<a name="internalRollback--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>internalRollback</h4>
<pre>public&nbsp;void&nbsp;internalRollback()
                      throws javax.resource.ResourceException</pre>
<div class="block">Perform the internal processing to rollback a local transaction.</div>
<dl>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code>javax.resource.ResourceException</code> - generic exception if operation fails</dd>
<dd><code>javax.resource.spi.LocalTransactionException</code> - error condition related to local transaction management</dd>
<dd><code>javax.resource.spi.ResourceAdapterInternalException</code> - error condition internal to resource adapter</dd>
<dd><code>javax.resource.spi.EISSystemException</code> - EIS instance specific error condition</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-all.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../org/firebirdsql/jca/FBIncorrectXidException.html" title="class in org.firebirdsql.jca"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../org/firebirdsql/jca/FBLocalTransaction.FBLocalXid.html" title="class in org.firebirdsql.jca"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../index.html?org/firebirdsql/jca/FBLocalTransaction.html" target="_top">Frames</a></li>
<li><a href="FBLocalTransaction.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li><a href="#nested.class.summary">Nested</a>&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &copy; 2001-2019 Jaybird (Firebird JDBC/JCA) team. All rights reserved.</small></p>
</body>
</html>
